/**
 * @desc 查询
 */
import { defHttp } from '/@/utils/http/axios'

export class Params {
    /** id */
    id: string
}

export function request(
    params: Params,
    config?: http.RequestConfig<Params>,
    options?: http.RequestOptions,
): Promise<defs.RoleVo> {
    return defHttp.request(
        {
            url: '/sys/role/find',
            method: 'GET',
            params,

            ...config,
        },
        options,
    )
}
