/**
 * @desc 获取登录用户信息
 */
import { defHttp } from '/@/utils/http/axios'

export class Params {}

export function request(
    params?: Params,
    config?: http.RequestConfig<Params>,
    options?: http.RequestOptions,
): Promise<defs.UserInfo> {
    return defHttp.request(
        {
            url: '/user/getUserInfo',
            method: 'GET',
            params,

            ...config,
        },
        options,
    )
}
