export class LoginVo {
    /** token */
    token = ''

    /** 用户 ID */
    userId = ''
}

export class MenuVo {
    /** 子权限 */
    children = []

    /** 组件 */
    component = ''

    /** 元数据 */
    meta = undefined

    /** 名称 */
    name = ''

    /** 路径 */
    path = ''

    /** 重定向 */
    redirect = ''
}

export class PageParam {
    /** 当前页数 */
    pageNo = undefined

    /** 分页条数 */
    pageSize = undefined

    /** 排序字段 */
    sortField = ''

    /** 排序方向（ASC|DESC） */
    sortOrder = 'ASC'
}

export class PageVo {
    /** 数据 */
    data = []

    /** 数据最新时间 */
    latest = ''

    /** 数据总数 */
    total = undefined
}

export class PermissionVo {
    /** 子权限 */
    children = []

    /** 组件 */
    component = ''

    /** 是否启用 */
    enable = false

    /** 是否隐藏 */
    hidden = false

    /** 图标 */
    icon = ''

    /** 主键 */
    id = ''

    /** 元数据 */
    meta = undefined

    /** 名称 */
    name = ''

    /** 路径 */
    path = ''

    /** 父级ID */
    pid = ''

    /** 序号 */
    serial = undefined

    /** 权限类型 */
    type = 'DIR'

    /** 标识 */
    uid = ''
}

export class Result {
    /** 内容 */
    body = new LoginVo()

    /** 业务标识码 */
    code = undefined

    /** 详细信息 */
    details = ''

    /** 异常信息 */
    error = ''

    /** 消息 */
    message = ''

    /** 状态码 */
    status = undefined

    /** 耗时 */
    times = ''

    /** 响应时间 */
    timestamp = ''
}

export class RoleVo {
    /** 主键 */
    id = ''

    /** 名称 */
    name = ''

    /** 权限 */
    permissions = []

    /** 标识 */
    uid = ''
}

export class UserExtensionVo {
    /** 年龄 */
    age = undefined

    /** 性别 */
    gender = undefined
}

export class UserInfo {
    /** 头像 */
    avatar = ''

    /** 介绍 */
    desc = ''

    /** 用户主页 */
    homePath = ''

    /** 手机号 */
    mobile = ''

    /** 真实姓名 */
    realName = ''

    /** 角色 */
    roles = []

    /** 主键 */
    userId = ''

    /** 用户名 */
    username = ''
}

export class UserVo {
    /** 头像 */
    avatar = ''

    /** 最后登录时间 */
    createTime = ''

    /** 是否删除 */
    deleted = false

    /** 邮箱 */
    email = ''

    /** 是否启用 */
    enabled = false

    /** 主键 */
    id = ''

    /** 最后登录IP地址 */
    lastLoginIp = ''

    /** 最后登录时间 */
    lastLoginTime = ''

    /** 手机号 */
    mobile = ''

    /** 真实姓名 */
    realName = ''

    /** 职称 */
    title = ''

    /** 用户名 */
    username = ''
}
