/**
 * @desc 新增
 */
import { defHttp } from '/@/utils/http/axios'

export class Params {
    /** 名称 */
    name: string
    /** 标识 */
    uid: string
}

export function request(
    params: Params,
    config?: http.RequestConfig<Params>,
    options?: http.RequestOptions,
): Promise<string> {
    return defHttp.request(
        {
            url: '/sys/role/add',
            method: 'POST',
            data: params,

            ...config,
        },
        options,
    )
}
