/**
 * @desc 分配角色
 */
import { defHttp } from '/@/utils/http/axios'

export class Params {
    /** id */
    id: string
    /** ids 多个以逗号分割 */
    ids: string
}

export function request(
    params: Params,
    config?: http.RequestConfig<Params>,
    options?: http.RequestOptions,
): Promise<string> {
    return defHttp.request(
        {
            url: '/sys/user/assign',
            method: 'POST',
            data: params,

            ...config,
        },
        options,
    )
}
